Hi All,
I am running ./autogen.sh --system and installing the required pkgs as it reports them missing.

I installed libvirt and qemu-kvm, which brought in gnutls pkg as a dep. (amongst others).
No errors/issues reported by yum duing the above pkgs installs.

Then in installed libvirt-pythonm pkg but vdsm autogen still complains of unable to find libvirt pkg.

So i tried the below and see this:

# python
Python 2.7.3 (default, Apr 30 2012, 21:18:11)
[GCC 4.7.0 20120416 (Red Hat 4.7.0-2)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import libvirt
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
File "/usr/lib64/python2.7/site-packages/libvirt.py", line 25, in <module>
    raise lib_e
ImportError: /lib64/libgnutls.so.26: symbol asn1_read_node_value, version LIBTASN1_0_3 not defined in file libtasn1.so.3 with link time reference

So looks like some incompatible version of gnutls installed as part of libvirt/qemu-kvm install.

*My system details:*

# uname -a
Linux libSM_upstream 3.3.4-5.fc17.x86_64 #1 SMP Mon May 7 17:29:34 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

# rpm -qa| grep libvirt
libvirt-daemon-0.9.11.9-1.fc17.x86_64
libvirt-daemon-config-nwfilter-0.9.11.9-1.fc17.x86_64
libvirt-python-0.9.11.9-1.fc17.x86_64
libvirt-0.9.11.9-1.fc17.x86_64
libvirt-client-0.9.11.9-1.fc17.x86_64
libvirt-daemon-config-network-0.9.11.9-1.fc17.x86_64

# rpm -qa| grep gnutls
gnutls-devel-2.12.23-1.fc17.x86_64
gnutls-utils-2.12.23-1.fc17.x86_64
gnutls-c++-2.12.23-1.fc17.x86_64
gnutls-2.12.23-1.fc17.x86_64


/etc/fedora-release:Fedora release 17 (Beefy Miracle)
/etc/os-release:NAME=Fedora
/etc/os-release:ID=fedora
/etc/os-release:PRETTY_NAME="Fedora 17 (Beefy Miracle)"
/etc/os-release:CPE_NAME="cpe:/o:fedoraproject:fedora:17"
/etc/redhat-release:Fedora release 17 (Beefy Miracle)
/etc/system-release:Fedora release 17 (Beefy Miracle)
checking for pyflakes... /bin/pyflakes
checking for pep8... /bin/pep8
checking for python-config... /bin/python-config
checking for nosetests... /bin/nosetests
checking python module: ethtool... yes
*checking python module: libvirt... no**
**configure: error: failed to find required module libvirt**
*

_______________________________________________
vdsm-devel mailing list
vdsm-devel@lists.fedorahosted.org
https://lists.fedorahosted.org/mailman/listinfo/vdsm-devel

Reply via email to